# Uses of Interface
org.eclipse.emf.cdo.security.PackagePermission

Packages that use PackagePermission
Package
Description
org.eclipse.emf.cdo.security
The generated EMF API of the CDO security model.
org.eclipse.emf.cdo.security.impl
The generated EMF implementation of the CDO security model.
org.eclipse.emf.cdo.security.util
The generated EMF utilities of the CDO security model.

## Uses of PackagePermission in org.eclipse.emf.cdo.security

Methods in org.eclipse.emf.cdo.security that return PackagePermission
Modifier and Type
Method
Description
`PackagePermission`
SecurityFactory.`createPackagePermission()`
Deprecated.
As of 4.3 use `SecurityFactory.createFilterPermission()` and `SecurityFactory.createPackageFilter()`.
`PackagePermission`
SecurityFactory.`createPackagePermission(EPackage ePackage, Access access)`
Deprecated.
As of 4.3 use `SecurityFactory.createFilterPermission(Access, PermissionFilter...)` and `SecurityFactory.createPackageFilter(EPackage)`.

## Uses of PackagePermission in org.eclipse.emf.cdo.security.impl

Classes in org.eclipse.emf.cdo.security.impl that implement PackagePermission
Modifier and Type
Class
Description
`class`
`PackagePermissionImpl`
Deprecated.
Methods in org.eclipse.emf.cdo.security.impl that return PackagePermission
Modifier and Type
Method
Description
`PackagePermission`
SecurityFactoryImpl.`createPackagePermission()`
Deprecated.
`PackagePermission`
SecurityFactoryImpl.`createPackagePermission(EPackage ePackage, Access access)`
Deprecated.

## Uses of PackagePermission in org.eclipse.emf.cdo.security.util

Methods in org.eclipse.emf.cdo.security.util with parameters of type PackagePermission
Modifier and Type
Method
Description
`T`
SecuritySwitch.`casePackagePermission(PackagePermission object)`
Returns the result of interpreting the object as an instance of 'Package Permission'.
`boolean`
SecurityValidator.`validatePackagePermission(PackagePermission packagePermission, DiagnosticChain diagnostics, Map<Object,Object> context)`